summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'www-apps/bugzilla/files/4.0/reconfig')
-rw-r--r--www-apps/bugzilla/files/4.0/reconfig19
1 files changed, 19 insertions, 0 deletions
diff --git a/www-apps/bugzilla/files/4.0/reconfig b/www-apps/bugzilla/files/4.0/reconfig
new file mode 100644
index 000000000000..71b0acea2585
--- /dev/null
+++ b/www-apps/bugzilla/files/4.0/reconfig
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+FILE="bugzilla.cron.daily bugzilla.cron.tab"
+
+function die ()
+{
+ echo
+ echo "***"
+ echo "*** Fatal error: $*"
+ echo "***"
+ exit 1
+}
+
+if [ $1 = "install" ]; then
+ cd "${MY_INSTALLDIR}" || die "Cannot find install dir ${MY_INSTALLDIR}"
+ sed -e "s|/var/www/bugzilla|${MY_INSTALLDIR}|g" -i ${FILE} || die "sed failed"
+else
+ echo "done."
+fi